<div *ngIf="product" class="product-page">
    <div class="product-page-container">
        <ol class="product-breadcrumbs">
            <li class="breadcrumb-item"><a routerLink="/client">Home</a></li>
            <li class="breadcrumb-item"> / <a routerLink="/client">Products</a></li>
            <li class="breadcrumb-item"> / {{product.designation}}</li>
        </ol>
        <div class="row">
            <div class="col-md-8">
                <div class="product-details-image" [ngStyle]="{'background-image': 'url(./assets/imgs/hand-painted-blue-flat-dish.jpg)'}"></div>
            </div>
            <div class="col-md-4">
                <div class="product-details-row">
                    <div class="product-brand" *ngIf="product.category">{{product.category.desig}}</div>
                    <h1 class="product-title">{{product.designation}}</h1>
                    <div class="product-price">{{product.prix | currency :'USD':true }}</div>
                    <div class="product-description"*ngIf="product.subCategory">{{product.subCategory.name}}</div>
                </div>
                <div class="product-details-button">
                   <quantity-control [quantity]="quantity" (onChange)="changeQuantity($event)"></quantity-control>
                    <div class="product-cart-button button button-primary button-large" (click)="addToCart(product)">Add to cart</div>
                </div>
            </div>
        </div>
    </div>
</div>
